For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve bulk team operation status

This endpoint retrieves the status of a bulk team operation using its bulk ID. It has been enhanced to support pagination (default: 20 items per page) and status-based filtering, for improved performa

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "This endpoint retrieves the status of a bulk team operation using its bulk ID. It has been enhanced to support pagination (default: 20 items per page) and status-based filtering, for improved performance and targeted data retrieval. Use this endpoint to check the progress and completion status of bulk update operations."

Retrieve bulk team operation status

Retrieve bulk team operation status

get

This endpoint retrieves the status of a bulk team operation using its bulk ID. It has been enhanced to support pagination (default: 20 items per page) and status-based filtering, for improved performance and targeted data retrieval. Use this endpoint to check the progress and completion status of bulk update operations.

Authorizations
AuthorizationstringRequired

For accessing the API a valid JWT jwt must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)

Path parameters
idstringRequired

The unique identifier of the bulk operation.

Query parameters
pageTokenstringOptional

Pagination token to retrieve the next page of results.

pageSizestring · int64Optional

The number of items to retrieve per page.

statusstringOptional

Filter items by status (e.g., BULK_ITEM_SUCCESS, BULK_ITEM_FAILED).

Responses
200

Details of the bulk operation status and progress.

application/json
bulkIdstringOptional

Unique identifier for the bulk operation.

createdAtstring · date-timeOptional

Timestamp when the bulk operation was created.

failureCountstring · int64Optional

Number of items that failed processing.

nextPageTokenstringOptional

Token to retrieve the next page of results.

operationTypestring · enumOptionalPossible values:
resourcestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
successCountstring · int64Optional

Number of items processed successfully.

totalCountstring · int64Optional

Total number of items in the bulk operation.

updatedAtstring · date-timeOptional

Timestamp when the bulk operation was last updated.

get/v2/teams/bulk/status/{id}
GET /v2/teams/bulk/status/{id} HTTP/1.1
Host: auth.<env>.citrusad.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "bulkId": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "failureCount": "text",
  "items": [
    {
      "createTeamRequest": {
        "businessIdentifier": "biz_AB12345",
        "companyAddress": {
          "addressLine": "123 Main St",
          "postcode": "12345"
        },
        "companyName": "Innovative Solutions Ltd.",
        "companyPhone": "+1-234-567-8901",
        "companyType": "COMPANY_TYPE_RETAILER",
        "companyWebsite": "https://www.innovativesolutions.com",
        "id": "team_001XYZ",
        "industryType": "INDUSTRY_TYPE_GROCERY",
        "logoId": "logo_567XYZ",
        "modifyTime": "2024-02-14T23:45:01Z",
        "name": "Development Team",
        "namespaceId": "namespace_ABC123",
        "onBehalfOf": "Ad Sponsor Ltd.",
        "reviewerEmail": "reviewer@innovativesolutions.com",
        "sellerId": "seller_990XYZ"
      },
      "errorResponse": {
        "details": "text"
      },
      "inviteUserRequest": {
        "emailToInvite": "invitee@example.com",
        "inviteUrl": "https://campaign.citrusad.com/user/invite",
        "languageCode": "EN_US",
        "managerTeamId": "manager-team-123",
        "roleIds": [
          "ROLE_TYPES_SUPPLIER_FULL",
          "ROLE_TYPES_RETAILER_REPORT_VIEW"
        ],
        "teamId": "team-456"
      },
      "removeUserRequest": {
        "teamId": "team-456",
        "userId": "user-456"
      },
      "status": "BULK_ITEM_SUCCESS",
      "successResponse": {
        "message": "text",
        "teamId": "text"
      },
      "updateTeamRequest": {
        "businessIdentifier": "biz_456XYZ",
        "companyAddress": {
          "addressLine": "123 Main St",
          "postcode": "12345"
        },
        "companyName": "Awesome Corp",
        "companyPhone": "+1-800-555-0123",
        "companyType": "COMPANY_TYPE_RETAILER",
        "companyWebsite": "https://www.awesomecorp.com",
        "id": "team_123XYZ",
        "industryType": "INDUSTRY_TYPE_GROCERY",
        "logoId": "biz_456XYZ",
        "modifyTime": "2024-09-01T12:34:56Z",
        "name": "Alpha Team",
        "namespaceId": "namespace_987ABC",
        "onBehalfOf": "Sponsor Corp",
        "reviewerEmail": "reviewer@example.com",
        "sellerId": "seller_789LMN"
      }
    }
  ],
  "nextPageToken": "text",
  "operationType": "BULK_OPERATION_TYPE_CAMPAIGN_UPDATE",
  "resource": "BULK_OPERATION_RESOURCE_BILLING",
  "status": "BULK_OPERATION_SUBMITTED",
  "successCount": "text",
  "totalCount": "text",
  "updatedAt": "2026-01-01T00:00:00.000Z"
}